package front

type ApiCommonBody struct {
	AppId     int64 `json:"app_id" validate:"required"`
	Timestamp int64 `json:"timestamp" validate:"required"`
}

type RequestBody struct {
	AppId     int64  `json:"app_id" validate:"required"`
	Timestamp int64  `json:"timestamp" validate:"required"`
	Data      string `json:"data" validate:"required"`
}

type PayReqs struct {
	ApiCommonBody
	PayChannelId int64  `json:"pay_channel_id"  validate:"required" label:"支付渠道"`
	OutTradeNo   string `json:"out_trade_no"  validate:"required" label:"外侧商户订单号"`
	OrderType    int32  `json:"order_type"  validate:"required" label:"订单类型，支付，退款"`
	Amount       int    `json:"amount"  validate:"required" label:"支付金额，单位分"`
	ExtJson      string `json:"ext_json"   label:"扩展参数"`
	Desc         string `json:"desc"  validate:"max=100" label:"商品描述"`
}

type OrderApiResp struct {
	Code int
	Msg  string
	Data interface{}
}
